# Class Power#setDPMWakeup

Power

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#setDPMWakeup(successCallback, errorCallback, options) Sets DPMWakeup, Each DPMSignalType has a set of predefined DPMSignalType properties.

## Class Detail

Power#setDPMWakeup(successCallback, errorCallback, options)
Sets DPMWakeup, Each DPMSignalType has a set of predefined DPMSignalType properties.

    // Javascript code
    function setDPMWakeup () {
     var options = {};
     options.dpmSignalType = Power.DPMSignalType.CLOCK;
     function successCb(cbObject) {
        console.log("sucess");
        // Do something
     }

     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }

     var power = new Power();
     power.setDPMWakeup(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  DPMSignalType | String | DPMSignalType | required

Since:
  1.4
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Power.getDPMWakeup()